PXE Preseeds
List OS Preseeds
GET /pxe/preseed
List of OS Preseeds
Response 200: List of OS Preseeds
| Field | Type | Description |
|---|---|---|
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_installable |
boolean | |
name |
string |
Create OS Preseed
POST /pxe/preseed
Add new OS Preseed
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
description |
string | ||
is_installable |
boolean | ||
name |
string | yes |
Response 200: An OS Preseed
| Field | Type | Description |
|---|---|---|
body |
string | |
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_installable |
boolean | |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
description |
string | ||
is_installable |
boolean | ||
name |
string | yes |
Response 422: Unprocessable Entity
Delete OS Preseed
DELETE /pxe/preseed/{preseed_id}
Delete an OS Preseed
Response 200: OS Preseed deleted successfully
Response 404: Item not Found
View OS Preseed
GET /pxe/preseed/{preseed_id}
An OS Preseed
Response 200: An OS Preseed
| Field | Type | Description |
|---|---|---|
body |
string | |
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_installable |
boolean | |
name |
string |
Edit OS Preseed
PATCH /pxe/preseed/{preseed_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
description |
string | ||
is_installable |
boolean | ||
name |
string |
Response 200: An OS Preseed
| Field | Type | Description |
|---|---|---|
body |
string | |
description |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_installable |
boolean | |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body |
string | ||
description |
string | ||
is_installable |
boolean | ||
name |
string |
Response 422: Unprocessable Entity